<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clickpesa.com/third-parties/billpay/create-customer-control-number",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'billDescription' => 'Water Bill - July 2024',
'billPaymentMode' => 'ALLOW_PARTIAL_AND_OVER_PAYMENT',
'billAmount' => 90900,
'billMaxCollectionAmount' => 150000,
'billReference' => 'CUSTOMJH121',
'customerName' => 'John Doe',
'customerEmail' => 'john@example.com',
'customerPhone' => '255712345678'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}